Loading...
Searching...
No Matches
window_map.c File Reference

GIS Library - Window mapping functions. More...

`#include <grass/gis.h>`
`#include "G.h"`
Include dependency graph for window_map.c:

Go to the source code of this file.

## Functions

double | G_adjust_east_longitude (double east, double west)
| Adjust east longitude.
double | G_adjust_easting (double east, const struct Cell_head *window)
| Returns east not smaller than west.
void | G__init_window (void)
| Initialize window (region).

## Detailed Description

GIS Library - Window mapping functions.

(C) 2001-2009, 2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file window_map.c.

## Function Documentation

## G__init_window()

void G__init_window | ( | void |  | ) |

Initialize window (region).

Definition at line 76 of file window_map.c.

References G_get_window(), G_initialize_done(), G_is_initialized(), G__::window, and G__::window_set.

Referenced by G_get_set_window(), and G_init_all().

## G_adjust_east_longitude()

double G_adjust_east_longitude | ( | double | east,
|  | double | west )

Adjust east longitude.

This routine returns an equivalent east that is at least as large as the west coordinate.

Note: This routine should be used only with latitude-longitude coordinates.

Parameters

  east | east coordinate
  west | west coordinate

Returns
  east coordinate

Definition at line 32 of file window_map.c.

## G_adjust_easting()

double G_adjust_easting | ( | double | east,
|  | const struct Cell_head * | window )

Returns east not smaller than west.

If the region projection is PROJECTION_LL, then this routine returns an equivalent east that is not smaller than the coordinate for the western edge of the region and, if possible, smaller than the coordinate for the eastern edge of the region. Otherwise no adjustment is made and the original east is returned.

Parameters

  east | east coordinate
  window | pointer to Cell_head

Returns
  east coordinate

Definition at line 58 of file window_map.c.

Referenced by G_plot_where_en(), and G_plot_where_xy().